BrokerAttributes (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: BrokerAttributes

Package com.sun.messaging.jms.management.server

# Class BrokerAttributes

java.lang.Object
com.sun.messaging.jms.management.server.BrokerAttributes

public class BrokerAttributes extends Object
Class containing information on broker attributes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BROKER_ID`
  Broker ID
  `static final String`
  `EMBEDDED`
  Whether broker is embedded (running in process) or not.
  `static final String`
  `HOST`
  Broker host.
  `static final String`
  `INSTANCE_NAME`
  Broker instance name.
  `static final String`
  `PORT`
  Broker port.
  `static final String`
  `RESOURCE_STATE`
  Broker memory level
  `static final String`
  `VERSION`
  Broker version.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BROKER_ID

    public static final String BROKER_ID
    Broker ID
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    Broker version.
    See Also:
      - Constant Field Values

  - ### INSTANCE_NAME

    public static final String INSTANCE_NAME
    Broker instance name.
    See Also:
      - Constant Field Values

  - ### RESOURCE_STATE

    public static final String RESOURCE_STATE
    Broker memory level
    See Also:
      - Constant Field Values

  - ### PORT

    public static final String PORT
    Broker port.
    See Also:
      - Constant Field Values

  - ### HOST

    public static final String HOST
    Broker host.
    See Also:
      - Constant Field Values

  - ### EMBEDDED

    public static final String EMBEDDED
    Whether broker is embedded (running in process) or not.
    See Also:
      - Constant Field Values